Skip to content
Freeze Assets

Account Cash Balance Freeze

This interface is used to freeze cash in a specified securities account. By providing the account number account_no, currency currency, freeze amount frozen_amount, and business code biz_code, it locks the corresponding amount from the available balance and returns a business serial number serial_num. The interface supports a risk control check toggle require_risk_check and idempotency control request_id. Frozen funds must be subsequently processed through the unfreeze or unfreeze-debit interface.

POSThttps://b-api.longbridge.xyz/v2/whaleapi/asset/frozen_cash

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account NO Eg:L6VQEU00121996. Account NO Eg:L6VQEU00121996

currencystringrequired

Currency Eg:HKD. Currency Eg:HKD

frozen_amountstringrequired

Frozen Amount. Frozen Amount

remarkstring

Remark. Remark

biz_codestringrequired

Business Code. Business Code

serial_numstring

Serial Number. Serial Number

request_idstring

Idempotency ID ,keep Global Unique. Idempotency ID ,keep Global Unique

require_risk_checkboolean

Need Risk Check. Need Risk Check

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
msgstringrequired

msg

serial_numstringrequired

Serial Number. Serial Number

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs